Check new-drop prices before adding it
POST
/rounds/{id}/sales/quote
const url = 'https://example.com/rounds/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f/sales/quote';const options = { method: 'POST', headers: { cookie: '__Host-bottle.session_token=<__Host-bottle.session_token>', 'Content-Type': 'application/json' }, body: '{"customerId":"019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f","surchargeChoice":"usual","deliverToName":"example","deliverToAddress":"example","deliveryAddressId":"019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f","newDeliveryAddress":{"name":"example","line1":"example","line2":"example","city":"example","postcode":"example","notes":"example","leaveInstruction":"none","leaveDetail":"example","dropLatitude":1,"dropLongitude":1,"placeToken":"example"},"fulfilment":"delivery","pricingAudience":"consumer","paymentMethod":"cash","lines":[{"productId":"019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f","quantity":1}],"collect":[{"productId":"019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f","quantity":1}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/rounds/019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f/sales/quote \ --header 'Content-Type: application/json' \ --cookie __Host-bottle.session_token=<__Host-bottle.session_token> \ --data '{ "customerId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "surchargeChoice": "usual", "deliverToName": "example", "deliverToAddress": "example", "deliveryAddressId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "newDeliveryAddress": { "name": "example", "line1": "example", "line2": "example", "city": "example", "postcode": "example", "notes": "example", "leaveInstruction": "none", "leaveDetail": "example", "dropLatitude": 1, "dropLongitude": 1, "placeToken": "example" }, "fulfilment": "delivery", "pricingAudience": "consumer", "paymentMethod": "cash", "lines": [ { "productId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "quantity": 1 } ], "collect": [ { "productId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "quantity": 1 } ] }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fUUID v7
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
customerId
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fsurchargeChoice
string
deliverToName
string
deliverToAddress
string
deliveryAddressId
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fnewDeliveryAddress
object
name
string | null
line1
required
string
line2
string | null
city
string | null
postcode
string | null
notes
string | null
leaveInstruction
string | null
leaveDetail
string | null
dropLatitude
number | null
dropLongitude
number | null
placeToken
string
fulfilment
string
pricingAudience
Consumer: use consumer list prices. trade: use trade prices where set. Agreed rates, customer price lists and price rules still take priority.
string
paymentMethod
required
string
lines
Array<object>
object
productId
required
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fquantity
required
integer
collect
Array<object>
object
productId
required
UUID v7
string format: uuid
Example
019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8fquantity
required
integer
Responses
Section titled “Responses”Prices including cylinder charges and VAT
Media typeapplication/json
object
amountDuePence
required
integer
lines
required
Array<object>
object
productId
required
UUID v7
string format: uuid
productName
required
string
quantity
required
integer
unitPrice
required
integer
priceIncludesVat
required
boolean
surchargePence
required
integer
Example
{ "lines": [ { "productId": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f" } ]}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member, or without the permission this needs
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not found
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}